import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.admin.rights.group.getList,
    method: 'get',
    params,
  })
}

export function getRoles() {
  return request({
    url: URL.admin.rights.group.getRoles,
    method: 'get',
  })
}

export function doEdit(data) {
  return request({
    url: URL.admin.rights.group.doEdit,
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.admin.rights.group.doDelete,
    method: 'post',
    data,
  })
}

export function getTree() {
  return request({
    url: URL.admin.rights.base.getTree,
    method: 'get',
  })
}
